/* 「すぐ使えるCMS」短いお知らせ（タイトルクリック折り畳み式） JavaScript */

var idFmt = new RegExp("e(\\d+)$", "i"); // 記事のid から記事番号を取り出す正規表現
var hideClass = 'hide-onload'; //非表示(display: none)を設定したクラス名
var entryClass = 'sugu-entry'; //記事1件分の一番外側の要素のクラス名

function toggle(TGT, Action){
	if (Action == "show"){
		for (i=0; i<TGT.length; i++){
	 	   document.getElementById(TGT[i]) && document.getElementById(TGT[i]).classList.remove(hideClass);
		}
	} else if (Action == "hide"){
		for (i=0; i<TGT.length; i++){
	 	   document.getElementById(TGT[i]) && document.getElementById(TGT[i]).classList.add(hideClass);
		}
	}
}

function show_target(myURL){
    var indexPound = myURL.lastIndexOf("#");
    if (0 < indexPound && indexPound < myURL.length-1){
        var res = myURL.match(idFmt);
        var myId = RegExp.$1;
		toggle(['body-'+myId], 'show');
    }
}

function toggle_body(d, Accordion){
    var Target = document.getElementById('body-'+d);
    if(!Target){return;}
    if (check_class(Target, hideClass)) {
		toggle(['body-'+d], 'show');
		if (Accordion){
			hide_other(d);
		}
    } else {
		toggle(['body-'+d], 'hide');
    }
}

function check_class(Target, cName){
    var CurrClass = Target.getAttribute("class")||Target.getAttribute("className");
    if (CurrClass.indexOf(cName, 0)>=0) {
    	return true;
    } else {
    	return false;
    }
}

function hide_other(d){
	var Entries = document.getElementsByClassName(entryClass);
	for (i=0; i<Entries.length; i++){
		var res = Entries[i].getAttribute("id").match(idFmt);
	    var myId = RegExp.$1;
	    if (myId != d && !check_class(document.getElementById('body-'+myId), hideClass)) {
			toggle(['body-'+myId], 'hide');
	    }
	}
}